
<ion-content class="ion-no-padding  ion-padding-top" *ngIf="pokemonData">
  <div style="position: relative; z-index: 100" class="ion-padding-bottom">
    <ion-row>
      <ion-col size="1" class="ion-align-self-center">
        <ion-button color="light" fill="clear" (click)="back()"
          ><ion-icon name="ios-arrow-back"></ion-icon>
        </ion-button>
      </ion-col>
      <ion-col size="8" class="ion-align-self-center">
        <div class="font-25 color-white ion-padding"><b>{{pokemonData?.detail?.name | titlecase}}</b></div>
      </ion-col>
      <ion-col size="3" class="ion-text-right ion-align-self-center ion-padding-end">
        <ion-icon
          name="heart"
          class="font-25 color-white icon"
          (click)="manageFavorites(pokemonData)"
          [ngClass]="favoritesList[pokemonData?.stringId] ? 'color-red' : 'color-white'"
        ></ion-icon>
      </ion-col>
    </ion-row>
    <div class="ion-text-center">
      <img [src]="pokemonData?.detail?.sprites?.other['official-artwork']['front_default']" width="250" class="image" />
    </div>
    <div class="top-bg ion-text-right background-pokeball">
      <img src="assets/icon/pokeball.svg" width="250" style="opacity: 0.3" />
    </div>
    <div class="ion-margin-horizontal">
      <ion-segment mode="md" [(ngModel)]="selectedSegment">
        <ion-segment-button value="about" mode="md">
          <ion-label class="font-16">About</ion-label>
        </ion-segment-button>
        <ion-segment-button value="stats" mode="md">
          <ion-label class="font-16">Stats</ion-label>
        </ion-segment-button>
      </ion-segment>
      <div class="card-transparent ion-padding">
        <ng-container *ngIf="selectedSegment === 'about'">
          <div class="font-17"><b>Entry Number</b></div>
          <div class="font-15 mt-10"><b>#{{pokemonData?.stringId}}</b></div>

          <div class="font-17 mt-15"><b>Dimension</b></div>
          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Weight</ion-col>
            <ion-col offset="1/2" class="ion-no-padding">{{pokemonData?.detail?.weight /10 | number}} kg</ion-col>
          </ion-row>
          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Height</ion-col>
            <ion-col offset="1/2" class="ion-no-padding">{{pokemonData?.detail?.height /10 | number}} meter</ion-col>
          </ion-row>

          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Shapes</ion-col>
            <ion-col offset="1/2" class="ion-no-padding">{{pokemonData?.shape?.name || "-" | titlecase}}</ion-col>
          </ion-row>
          <div class="mt-15 font-17"><b>Nature</b></div>
          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Habitat</ion-col>
            <ion-col offset="1/2" class="ion-no-padding">{{pokemonData?.habitat?.name || "-" | titlecase}}</ion-col>
          </ion-row>
          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Egg Groups</ion-col>
            <ion-col offset="1/2" class="ion-no-padding">{{pokemonData?.egggroup?.name || "-" | titlecase}}</ion-col>
          </ion-row>

          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Abilities</ion-col>
            <ion-col offset="1/2" class="ion-no-padding"
              ><span *ngFor="let item of pokemonData?.detail?.abilities;let i = index">
                {{item?.ability?.name || "-" | titlecase}}<span *ngIf="i < pokemonData?.detail?.abilities.length - 1"
                  >,
                </span>
              </span></ion-col
            >
          </ion-row>
          <ion-row class="ion-align-items-center ion-no-padding mt-10 font-14">
            <ion-col size="3" class="ion-no-padding">Types</ion-col>
            <ion-col offset="1/2" class="ion-no-padding"
              ><span *ngFor="let item of pokemonData?.detail?.types;let i = index">
                {{item?.type?.name || "-" | titlecase}}<span *ngIf="i < pokemonData?.detail?.types.length - 1">, </span>
              </span></ion-col
            >
          </ion-row>

          <div class="mt-8">
            <b></b>
          </div>
        </ng-container>
        <ng-container *ngIf="selectedSegment === 'stats'">
          <div class="font-17"><b>Pokemon Base Stats</b></div>

          <ion-row *ngFor="let stat of pokemonData?.detail?.stats;" class="ion-no-padding mt-10 ion-align-items-center">
            <ion-col size="4" class="ion-no-padding font-14">{{stat?.stat?.name | titlecase}}</ion-col>
            <ion-col size="1" offset="1/2" class="ion-no-padding font-14">{{stat?.base_stat}}</ion-col>
            <ion-col class="ion-no-padding">
              <ion-progress-bar
                [value]="stat?.base_stat / 100"
                [color]="((stat?.base_stat ) < 50 )? 'danger':'secondary'"
              ></ion-progress-bar>
            </ion-col>
          </ion-row>
        </ng-container>
      </div>
    </div>
  </div>
  <div
    [ngClass]="pokemonData?.detail?.types ? pokemonData?.detail?.types[0]?.type?.name + '-bg' : ''"
    class="background"
  ></div>
</ion-content>
